Subject: bug#38258: 12.2.0; reftex-view-crossref on citation pre- and postnotes

From: Arash Esbati <[email-masked]>
Date: Tue, 25 Aug 2020 20:11:42 +0200

Hi Gustavo,

Gustavo Barros <[email-masked]> writes:

> `reftex-view-crossref', when called from a prenote or postnote of a 
> citation macro will assume it is a citation key and run 
> `reftex-view-cr-cite' in whatever is around point, which of course won't 
> be found in the bibfiles, and returns an error of "no such database 
> entry", when it would be expected it to return error "Not on a crossref 
> macro argument". As a result, when the point is left on a prenote or 
> postnote of a citation macro, a spurious echo of "no such database 
> entry" is generated.

first of all, sorry for the very late response.  It seems to me this is
more a documented feature[1]:

Command: reftex-view-crossref

    View cross reference of macro at point. Point must be on the key
    argument. ...

Note the word `must'.  Having point on pre- or postnote is expected not
to work.

Best, Arash

Footnotes:
[1]  https://www.gnu.org/software/auctex/manual/reftex.html#IDX240